Name:           sword           
Version:        1.5.8
Release:        4%{?dist}
Summary:        Free Bible Software Project

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.crosswire.org/sword/
Source0:        http://www.crosswire.org/ftpmirror/pub/sword/source/v1.5/sword-%{version}.tar.gz
Source1:        ar_EG-cp1256.conf
Source2:        ar_EG-utf8.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  sed >= 3.95
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  zlib-devel
BuildRequires:  libidn-devel

%description
The SWORD Project is the CrossWire Bible Society's free Bible software
project. Its purpose is to create cross-platform open-source tools--
covered by the GNU General Public License-- that allow programmers and
Bible societies to write new Bible software more quickly and easily. We
also create Bible study software for all readers, students, scholars,
and translators of the Bible, and have a growing collection of over 200
texts in over 50 languages.

%package devel
Summary:  Development files for the sword project
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the development headers and libraries for the
sword API. You need this package if you plan on compiling software
that uses the sword API, such as Gnomesword or Bibletime.


%prep
%setup -q
%{__sed} -i 's?\r??' include/ftptrans.h
%{__sed} -i 's?\r??' include/ftplibftpt.h
%{__sed} -i 's?\r??' include/curlftpt.h


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %buildroot
make install DESTDIR=%buildroot
%__mkdir_p %buildroot%_datadir/sword/modules
install -p -m644 %{SOURCE1} %buildroot%_datadir/sword/locales.d/
install -p -m644 %{SOURCE2} %buildroot%_datadir/sword/locales.d/

find %buildroot%_libdir -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf %buildroot


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%doc samples doc
%config(noreplace) %_sysconfdir/sword.conf
%_bindir/*
%dir %_libdir/sword
%_libdir/libsword-%{version}.so
%_datadir/sword

%files devel
%defattr(-,root,root,-)
%doc CODINGSTYLE
%_includedir/sword
%_libdir/pkgconfig/sword.pc
%_libdir/libsword.a
%_libdir/libsword.so


%changelog
* Sat Oct 29 2005 Michael A. Peters <mpeters@mac.com> - 1.5.8-4
- Added Arabic support files from Developer mailing list (they have
- been added to the upstream SVN version)

* Thu Jun 09 2005 Michael A. Peters <mpeters@mac.com> - 1.5.8-3
- fix line breaks

* Mon Jun 06 2005 Michael A. Peters <mpeters@mac.com> - 1.5.8-1
- initial CVS checkin for Fedora Extras
